Package pygobject3

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See pygobject3 in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-gobject-3.28.3-2.fc29
    • × python(abi) = 2.7
  • python2-gobject-base-3.28.3-2.fc29
    • × python(abi) = 2.7
  • python3-gobject-3.28.3-2.fc29
    • python(abi) = 3.7
    • python3-cairo(x86-64) = 1.17.1-2.fc29
  • python3-gobject-base-3.28.3-2.fc29
    • python(abi) = 3.7

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Groups

Dependencies

Run time

1 Python 3 only; 1 Dual support; 1 Dropped
Package Upstream Fedora
  pycairo  
  python3   bug (NEW)
  python2   X

Build time

3 Python 3 only; 1 Dual support; 1 Dropped
Package Upstream Fedora
  pycairo  
  glib2 (nonblocking)   bug (CLOSED ERRATA)
  gobject-introspection (nonblocking) bug homepage bug (CLOSED RAWHIDE)
  python3   bug (NEW)
  python2   X